<?xml version="1.0"?>
<ruleset name="Default">
    <!-- Scan all files in directory -->
    <file>.</file>

    <!-- Scan only PHP files -->
    <arg name="extensions" value="php"/>

    <!-- Ignore WordPress and Composer dependencies -->
    <exclude-pattern>web/wp</exclude-pattern>
    <exclude-pattern>vendor/</exclude-pattern>

    <!-- Show colors in console -->
    <arg value="-colors"/>

    <!-- Show sniff codes in all reports -->
    <arg value="ns"/>

    <!-- Use PSR-12 as a base -->
    <rule ref="PSR12">
        <exclude name="PSR1.Methods.CamelCapsMethodName.NotCamelCaps" />
        <exclude name="PSR12.Files.FileHeader.SpacingInsideBlock" />
        <exclude name="PSR2.Namespaces.UseDeclaration.MultipleDeclarations" />
        <exclude name="Squiz.Functions.MultiLineFunctionDeclaration.ContentAfterBrace" />
        <exclude name="Squiz.Functions.MultiLineFunctionDeclaration.OneParamPerLine" />
        <exclude name="Squiz.WhiteSpace.ControlStructureSpacing.SpacingBeforeClose" />

        <exclude name="PSR2.Methods.FunctionCallSignature.MultipleArguments" />

        <!-- I want blank lines. When I want it, where I want it. -->
        <exclude name="Squiz.WhiteSpace.ControlStructureSpacing.SpacingAfterOpen" />
    </rule>
    <!--rule ref="Generic.Functions.OpeningFunctionBraceKernighanRitchie" /-->
</ruleset>
